# norootforbuild

Name:         presidio
BuildRequires: kernel-source kernel-syms
License:      GPL
Group:        System/Kernel
Summary:      O2Micro SD Reader Linux Kernel Module
Version:      0.1
Release:      0
Source0:      %{name}-%version.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package kdump um

%description
This Linux device driver released for O2Micro SD Card Reader

%prep
%setup 
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Wed Sep 12 2006 - allau@novell.com
- Initial package.
